script_name("AutoEats")
script_author("YourName")
script_version("1.5")

require "lib.moonloader"
local sampev = require "lib.samp.events"

local isCycleActive = false
local lastCheepsTime = 0

function main()
    if not isSampLoaded() or not isSampfuncsLoaded() then 
        print("Error: SAMP or SAMPFUNCS not loaded")
        return 
    end
    while not isSampAvailable() do 
        wait(100) 
    end

    sampRegisterChatCommand("eats", startCycle)
    sampRegisterChatCommand("eate", instantCheeps)
    
    while true do
        wait(0)
        if isCycleActive then
            local currentTime = os.clock()
            if currentTime - lastCheepsTime >= 420 then -- 7 minutes = 420 seconds
                sampSendChat("/cheeps")
                lastCheepsTime = currentTime
                sampAddChatMessage("AutoEats: Executed /cheeps (cycle)", 0x00FF00)
            end
        end
    end
end

function startCycle()
    if not isCycleActive then
        isCycleActive = true
        lastCheepsTime = os.clock()
        sampAddChatMessage("AutoEats: Cycle started (executes /cheeps every 7 minutes)", 0x00FF00)
    else
        sampAddChatMessage("AutoEats: Cycle is already running", 0x00FF00)
    end
end

function instantCheeps()
    sampSendChat("/cheeps")
    sampAddChatMessage("AutoEats: Executed /cheeps instantly", 0x00FF00)
end